%global src_repo_tag   R0_6_1
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_libdir}/eclipse/dropins/callgraph
%global debug_package %{nil}

Name:           eclipse-callgraph
# Upstream, the feature is 0.0.2 but somehow we were at 0.6.1 in Fedora
# so I made it 0.8.0 to match Linux Tools
Version:        0.8.0
Release:        1%{?dist}
Summary:        C/C++ Call Graph Visualization Tool

Group:          Development/Tools
License:        EPL
URL:            http://eclipse.org/linuxtools
# Note that 0.0.1 != 0.8.0 but this is an upstream issue
Source0:        http://download.eclipse.org/technology/linuxtools/0.8.0-sources/linuxtools-systemtap-0.0.1-src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    ppc64

BuildRequires: eclipse-cdt >= 6.0
BuildRequires: eclipse-gef >= 3.5.2
BuildRequires: eclipse-pde >= 3.5.2
BuildRequires: eclipse-linuxprofilingframework >= 0.5.0
Requires: systemtap >= 1.2
Requires: eclipse-gef >= 3.5.2
Requires: eclipse-cdt >= 6.0
Requires: eclipse-linuxprofilingframework >= 0.5.0

%description
Graphically displays the call hierarchy from executing a C/C++ binary, along
with various other runtime statistics.

%prep
%setup -q -n linuxtools-systemtap-0.0.1-src

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.linuxtools.callgraph \
 -d "cdt gef linuxprofilingframework"

%install
#installs to %%{_libdir} due to dependency on eclipse-
#linuxprofilingframework, which depends on architecture.
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.callgraph.zip 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.linuxtools.callgraph-feature/epl-v10.html

%changelog
* Thu Jul 14 2011 Andrew Overholt <overholt@redhat.com> 0.8.0-1
- Update to Linux Tools 0.8.0 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 8 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.6.1-1
- Update to upstream 0.6.1 release.
- Add reasonable required dependency versions.

* Fri Jul 16 2010 Charley Wang <chwang@redhat.com> 0.6.0-2
- Update tag to correct version

* Fri Jul 16 2010 Charley Wang <chwang@redhat.com> 0.6.0-1
- Update to version 0.6 of Linux Tools Proect.

* Thu Mar 18 2010 Roland Grunberg <rgrunber@redhat.com> 0.5.0-1
- Update to version 0.5 of Linux Tools Project.

* Mon Nov 23 2009 Charley Wang <chwang@redhat.com> 0.4.0-1
- Update to version 0.4 of Linux Tools Project and remove tests feature.

* Fri Sep 25 2009 Charley Wang <chwang@redhat.com> 0.0.1-3
- Added ExcludeArch for ppc64 because eclipse-cdt is not present.

* Thu Sep 24 2009 Roland Grunberg <rgrunber@redhat.com> 0.0.1-2
- Some more changes to spec file.

* Thu Sep 24 2009 Charley Wang <chwang@redhat.com> 0.0.1-1
- Make minor changes to spec file.

* Thu Sep 24 2009 Charley Wang <chwang@redhat.com> 0.0.1-1
- Initial creation of eclipse-callgraph.
